﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using SpectruMeter.Apis.DataApi.DAL;

#nullable disable

namespace SpectruMeter.Apis.DataApi.DAL.Migrations
{
    [DbContext(typeof(DatabaseContext))]
    [Migration("20240104145948_Init")]
    partial class Init
    {
        /// <inheritdoc />
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.11")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("SpectruMeter.Apis.DataApi.DAL.Models.HouseholdDevice", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("DeviceId")
                        .HasColumnType("text");

                    b.Property<Guid>("HouseholdId")
                        .HasColumnType("uuid");

                    b.HasKey("Id");

                    b.HasIndex("DeviceId");

                    b.ToTable("HouseholdDevices");
                });

            modelBuilder.Entity("SpectruMeter.Apis.DataApi.DAL.Models.MeasurementData", b =>
                {
                    b.Property<string>("DeviceId")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<Guid>("HouseholdId")
                        .HasColumnType("uuid");

                    b.Property<decimal>("InstantaneousCurrentInPhaseL1")
                        .HasColumnType("numeric");

                    b.Property<decimal>("InstantaneousCurrentInPhaseL2")
                        .HasColumnType("numeric");

                    b.Property<decimal>("InstantaneousCurrentInPhaseL3")
                        .HasColumnType("numeric");

                    b.Property<decimal>("InstantaneousVoltageInPhaseL1")
                        .HasColumnType("numeric");

                    b.Property<decimal>("InstantaneousVoltageInPhaseL2")
                        .HasColumnType("numeric");

                    b.Property<decimal>("InstantaneousVoltageInPhaseL3")
                        .HasColumnType("numeric");

                    b.Property<DateTimeOffset>("MeasurementTime")
                        .HasColumnType("timestamp with time zone");

                    b.Property<decimal>("NegativeActiveEnergy")
                        .HasColumnType("numeric");

                    b.Property<decimal>("NegativeActiveInstantaneousPower")
                        .HasColumnType("numeric");

                    b.Property<decimal>("NegativeReactiveEnergy")
                        .HasColumnType("numeric");

                    b.Property<decimal>("PositiveActiveEnergy")
                        .HasColumnType("numeric");

                    b.Property<decimal>("PositiveActiveInstantaneousPower")
                        .HasColumnType("numeric");

                    b.Property<decimal>("PositiveReactiveEnergy")
                        .HasColumnType("numeric");

                    b.Property<decimal>("SumActiveInstantaneousPower")
                        .HasColumnType("numeric");

                    b.ToTable("MeasurementDatas");
                });
#pragma warning restore 612, 618
        }
    }
}
